package com.hxhq.business.enums.zykgl;

/**
 * 归还状态：1：未申请；3：申请归还
 * @author tanfei
 */
public enum GhztEnum {

    /**
     * 未申请
     */
    wsq(1, "未申请"),

    /**
     * 申请归还
     */
    sqgh(3, "申请归还");

    private int value;
    private String text;

    GhztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static GhztEnum getEnumByValue(int type) {
        for (GhztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
